//
//  Process.hpp
//  e_bash
//
//  Created by Arnaud Blanchard on 30/08/2017.
//
//

#ifndef PROCESS_H
#define PROCESS_H

#include <vector>
#include <string>
#include <thread>
#include <gtkmm.h>
#include <vte/vte.h>


struct Process{
    pid_t pid;

    int stdin_fileno, stdout_fileno, stderr_fileno;
    std::string name;
    std::string directory;
    std::string program_name;
    std::string command_path;
    std::string channel;
    std::thread *run_thread;
    std::vector<const char*> arg_vector;
    VteTerminal *terminal;
    Gtk::Window *terminal_window;
    
    Process(std::string const &directory, std::string const &program_name);
    ~Process();

    void add_arg(std::string const &arg);
    void run();
    void display_terminal();
};
#endif /* Process_hpp */
