
#include "blc_program.h"
#include "libgen.h"
#include <gtkmm.h>
#include "Channel.hpp"
#include "thread"

using namespace std;
using namespace Gtk;

struct App:Application{
   // App(int &argc, char **&argv);
    ApplicationWindow main_window;
    GtkScrolledWindow channel_window;
    ChannelWidget channel_widget;
    
    //Overrides of default signal handlers:
    void on_startup() override; //This is called for the first instance of the app
    void on_activate() override;
};

/*App::App(int &argc, char **&argv):Application(argc, argv){
    Glib::set_application_name("e_bash");
}*/

void App::on_startup(){
    Application::on_startup();
    add_action("quit", [](){
        exit(0);
    });
  }

void App::on_activate(){
    
    Application::on_activate();
    add_window(main_window);
    main_window.add(channel_widget);
    main_window.show_all();
}

int main(int argc, char **argv)
{
    App app;//(argc, argv);
    
    blc_program_set_description("Graphical interface for blaar programs");
    blc_program_init(&argc, &argv, blc_quit);
    
    return app.run(0, 0);
}


